<?php
/*
Criado por Humberto Rodrigues
humberto@linkhost.com.br
*/
function namecheap_getConfigArray() {
	$configarray = array(
	 "Username" => array( "Type" => "text", "Size" => "20", "Description" => "Preencha com seu nome de usurio", ),
	 "Password" => array( "Type" => "password", "Size" => "20", "Description" => "Entre com sua API KEY", ),
	 "TestMode" => array( "Type" => "yesno", ),
	);
	return $configarray;
}

function AcessarApi($url)
{

	// We take a shot at curl.we try to initialize curl.
    $ch = curl_init();

	// if we initiated curl go ahead
	if ($ch)
	{
		curl_setopt ($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_FRESH_CONNECT, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0); // We set peer verification of namecheap server to false - else the process will fail if the host server doesnt have an accurate ca bundle. can turn this on, when you place an up to date ca bundle at your host server.
		curl_setopt ($ch, CURLOPT_HEADER, 0);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
		$result=curl_exec ($ch);
		$curl_error=curl_error($ch);

		// Connection success. we close down curl connection since we got the result

		curl_close ($ch); // close the connection
	}

	// If we got a proper result, and there was no error in curl operation, do nothing.
	if ($result AND !$curl_error)
	{


	}
	// If we didnt get a result from curl, or curl had encountered an error, do it through fsockopen.
	elseif ($result=file_get_contents($fetch_string))
	{

	}
	else
	{
		// Both connections failed. So we print out connection error
		$error="Connection error";
		echo 'We were not able to connect to namecheap through cURL or fsockopen. You may need to check configuration on your webserver regarding whether cURL is installed and functioning, or your server allows fsockopen for remote webserver connections';
		return $error;
	}
	// If we got a result, we can go on processing it

	// Now we are going to use manual string processing to check for any errors and fetch them. The reason to use this and not any php xml parser functions is that we dont want to make people having to use any modules for xml parsing for php (like expat) or any other specific setup.

	// First, we locate the ERROR string in namecheap XML return if it exists

	return $result;

}

function ObterIp()
{
	return $_SERVER['REMOTE_ADDR'];
}

function namecheap_GetNameservers($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	# URL a ser passada
	$url_GetNameservers="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.dns.getList&ClientIp=".ObterIp()."&SLD=".$sld."&TLD=".$tld."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_GetNameservers);
	$resultado = new SimpleXMLElement($resultado);
	
	if($resultado["Status"][0]=="OK")
	{
		$values["ns1"] = $resultado->CommandResponse->DomainDNSGetListResult->Nameserver[0];
		$values["ns2"] = $resultado->CommandResponse->DomainDNSGetListResult->Nameserver[1];
		$values["ns3"] = $resultado->CommandResponse->DomainDNSGetListResult->Nameserver[2];
		$values["ns4"] = $resultado->CommandResponse->DomainDNSGetListResult->Nameserver[3];
	}
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	return $values;
}

function namecheap_SaveNameservers($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
    $nameserver1 = strlen($params["ns1"]) >0 ? $params["ns1"].",":"";
	$nameserver2 = strlen($params["ns2"]) >0 ? $params["ns2"].",":"";
    $nameserver3 = strlen($params["ns3"]) >0 ? $params["ns3"].",":"";
	$nameserver4 = strlen($params["ns4"]) >0 ? $params["ns4"].",":"";
	# Put your code to save the nameservers here
	# URL a ser passada
	$url_setCustom="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.dns.setCustom&ClientIp=".ObterIp()."&SLD=".$sld."&TLD=".$tld."&NameServers=".$nameserver1.$nameserver2.$nameserver3.$nameserver4."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_setCustom);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	if(strlen($values["error"])<=0)
	{
		$values["status"] = "DNS's alterados com sucesso!";
	}
	
	return $values;
}

function namecheap_GetRegistrarLock($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	# Put your code to get the lock status here
	
	# URL a ser passada
	$url_RegistrarLock="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.getRegistrarLock&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_RegistrarLock);
	$resultado = new SimpleXMLElement($resultado);
	if($resultado->CommandResponse->DomainGetRegistrarLockResult["RegistrarLockStatus"]=="false")
	{
		$lock=0;
	}else{
		$lock=1;
	}
	
	if ($lock=="1") {
		$lockstatus="locked";
	} else {
		$lockstatus="unlocked";
	}
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	
	return $lockstatus;
}

function namecheap_SaveRegistrarLock($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	if ($params["lockenabled"]=='locked') {
		$lockstatus="lock";
	} else {
		$lockstatus="unlock";
	}
	# Put your code to save the registrar lock here
	# URL a ser passada
	$url_setRegistrarLock="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.setRegistrarLock&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."&LockAction=".$lockstatus."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_setRegistrarLock);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	if(strlen($values["error"])<=0)
	{
		$values["status"] = "Proteo alterada com sucesso!";
	}
	return $values;
}

function namecheap_RegisterDomain($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	$regperiod = $params["regperiod"];
	$nameserver1 = $params["ns1"];
	$nameserver2 = $params["ns2"];
    $nameserver3 = $params["ns3"];
    $nameserver4 = $params["ns4"];
	# Registrant Details	
	$RegistrantFirstName = urlencode($params["firstname"]);
	$RegistrantLastName = urlencode($params["lastname"]);
	$RegistrantAddress1 = urlencode($params["address1"]);
	$RegistrantAddress2 = urlencode($params["address2"]);
	$RegistrantCity = urlencode($params["city"]);
	$RegistrantStateProvince = urlencode($params["state"]);
	$RegistrantPostalCode = urlencode($params["postcode"]);
	$RegistrantCountry = urlencode($params["country"]);
	$RegistrantEmailAddress = urlencode($params["email"]);
	$RegistrantPhone = "+055.2196579811";
	# Admin Details
	$AdminFirstName = urlencode($params["adminfirstname"]);
	$AdminLastName = urlencode($params["adminlastname"]);
	$AdminAddress1 = urlencode($params["adminaddress1"]);
	$AdminAddress2 = urlencode($params["adminaddress2"]);
	$AdminCity = urlencode($params["admincity"]);
	$AdminStateProvince = urlencode($params["adminstate"]);
	$AdminPostalCode = urlencode($params["adminpostcode"]);
	$AdminCountry = urlencode($params["admincountry"]);
	$AdminEmailAddress = urlencode($params["adminemail"]);
	$AdminPhone = urlencode($params["adminphonenumber"]);
	
	if($nameserver1 != '') $nameserver_list .= $nameserver1;
    if($nameserver2 != '') $nameserver_list .= ','. $nameserver2;
    if($nameserver3 != '') $nameserver_list .= ','. $nameserver3;
    if($nameserver4 != '') $nameserver_list .= ','. $nameserver4;
	
	
	# Put your code to register domain here
	# URL a ser passada	
	
	$url_DomainCreate="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.create&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."&Years=".$regperiod."&Nameservers=".$nameserver_list."&AuxBillingFirstName=".$RegistrantFirstName."&AuxBillingLastName=".$RegistrantLastName."&AuxBillingAddress1=".$RegistrantAddress1."&AuxBillingStateProvince=".$RegistrantStateProvince."&AuxBillingPostalCode=".$RegistrantPostalCode."&AuxBillingCountry=BR&AuxBillingPhone=".$RegistrantPhone."&AuxBillingEmailAddress=contato@linkhost.com.br&AuxBillingOrganizationName=NC&AuxBillingCity=".$RegistrantCity."&TechFirstName=".$RegistrantFirstName."&TechLastName=".$RegistrantLastName."&TechAddress1=".$RegistrantAddress1."&TechStateProvince=".$RegistrantStateProvince."&TechPostalCode=".$RegistrantPostalCode."&TechCountry=BR&TechPhone=".$RegistrantPhone."&TechEmailAddress=contato@linkhost.com.br&TechOrganizationName=NC&TechCity=".$RegistrantCity."&AdminFirstName=".$RegistrantFirstName."&AdminLastName=".$RegistrantLastName."&AdminAddress1=".$RegistrantAddress1."&AdminStateProvince=".$RegistrantStateProvince."&AdminPostalCode=".$RegistrantPostalCode."&AdminCountry=BR&AdminPhone=".$RegistrantPhone."&AdminEmailAddress=contato@linkhost.com.br&AdminOrganizationName=NC&AdminCity=".$RegistrantCity."&RegistrantFirstName=".$RegistrantFirstName."&RegistrantLastName=".$RegistrantLastName."&RegistrantAddress1=".$RegistrantAddress1."&RegistrantStateProvince=".$RegistrantStateProvince."&RegistrantPostalCode=".$RegistrantPostalCode."&RegistrantCountry=BR&RegistrantPhone=".$RegistrantPhone."&RegistrantEmailAddress=contato@linkhost.com.br&RegistrantOrganizationName=NC&RegistrantCity=".$RegistrantCity."&RegistrantNexus=C11&RegistrantNexusCountry=In&RegistrantPurpose=P1";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_DomainCreate);

	$resultado = new SimpleXMLElement($resultado);

	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	if(strlen($values["error"])<=0)
	{
		$values["status"] = "Domnio registrado";
	}
	return $values;
}

function namecheap_TransferDomain($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	$regperiod = $params["regperiod"];
	$transfersecret = $params["transfersecret"];
	$nameserver1 = $params["ns1"];
	$nameserver2 = $params["ns2"];
	# Registrant Details
	$RegistrantFirstName = $params["firstname"];
	$RegistrantLastName = $params["lastname"];
	$RegistrantAddress1 = $params["address1"];
	$RegistrantAddress2 = $params["address2"];
	$RegistrantCity = $params["city"];
	$RegistrantStateProvince = $params["state"];
	$RegistrantPostalCode = $params["postcode"];
	$RegistrantCountry = $params["country"];
	$RegistrantEmailAddress = $params["email"];
	$RegistrantPhone = $params["phonenumber"];
	# Admin Details
	$AdminFirstName = $params["adminfirstname"];
	$AdminLastName = $params["adminlastname"];
	$AdminAddress1 = $params["adminaddress1"];
	$AdminAddress2 = $params["adminaddress2"];
	$AdminCity = $params["admincity"];
	$AdminStateProvince = $params["adminstate"];
	$AdminPostalCode = $params["adminpostcode"];
	$AdminCountry = $params["admincountry"];
	$AdminEmailAddress = $params["adminemail"];
	$AdminPhone = $params["adminphonenumber"];
	# Put your code to transfer domain here
	
	# Put your code to save the registrar lock here
	# URL a ser passada
	$url_TransferCreate="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.transfer.create&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."&Years=".$regperiod."&EPPCode=".$transfersecret."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_TransferCreate);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	if(strlen($values["error"])<=0)
	{
		$values["status"] = "Transferncia efetuada com sucesso!";
	}
	return $values;
	
}

function namecheap_RenewDomain($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	$regperiod = $params["regperiod"];
	# Put your code to renew domain here
	# URL a ser passada
	$url_Renew="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.renew&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."&Years=".$regperiod."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_Renew);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	if(strlen($values["error"])<=0)
	{
		$values["status"] = "Domnio renovado com sucesso!";
	}
	return $values;
}

function namecheap_GetContactDetails($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	# Put your code to get WHOIS data here
	
	# URL a ser passada
	$url_getContacts="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.getContacts&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_getContacts);
	$resultado = new SimpleXMLElement($resultado);

	# Data should be returned in an array as follows
	$values["Registrant"]["First Name"] = $resultado->CommandResponse->DomainContactsResult->Registrant->FirstName;
	$values["Registrant"]["Last Name"] = $resultado->CommandResponse->DomainContactsResult->Registrant->LastName;
	$values["Registrant"]["Email"] = $resultado->CommandResponse->DomainContactsResult->Registrant->EmailAddress;
	$values["Registrant"]["Phone Number"] = $resultado->CommandResponse->DomainContactsResult->Registrant->Phone;
	$values["Registrant"]["Address1"] = $resultado->CommandResponse->DomainContactsResult->Registrant->Address1;
	$values["Registrant"]["Address2"] = $resultado->CommandResponse->DomainContactsResult->Registrant->Address2;
	$values["Registrant"]["Postcode"] = $resultado->CommandResponse->DomainContactsResult->Registrant->PostalCode;
	$values["Registrant"]["City"] = $resultado->CommandResponse->DomainContactsResult->Registrant->City;
	$values["Registrant"]["State"] = $resultado->CommandResponse->DomainContactsResult->Registrant->StateProvince;
	$values["Registrant"]["Country"] = $resultado->CommandResponse->DomainContactsResult->Registrant->Country;
		
	$values["Admin"]["First Name"] = $resultado->CommandResponse->DomainContactsResult->Admin->FirstName;
	$values["Admin"]["Last Name"] = $resultado->CommandResponse->DomainContactsResult->Admin->LastName;
	$values["Admin"]["Email"] = $resultado->CommandResponse->DomainContactsResult->Admin->EmailAddress;
	$values["Admin"]["Phone Number"] = $resultado->CommandResponse->DomainContactsResult->Admin->Phone;
	$values["Admin"]["Address1"] = $resultado->CommandResponse->DomainContactsResult->Admin->Address1;
	$values["Admin"]["Address2"] = $resultado->CommandResponse->DomainContactsResult->Admin->Address2;
	$values["Admin"]["Postcode"] = $resultado->CommandResponse->DomainContactsResult->Admin->PostalCode;
	$values["Admin"]["City"] = $resultado->CommandResponse->DomainContactsResult->Admin->City;
	$values["Admin"]["State"] = $resultado->CommandResponse->DomainContactsResult->Admin->StateProvince;
	$values["Admin"]["Country"] = $resultado->CommandResponse->DomainContactsResult->Admin->Country;
	
	$values["Tech"]["First Name"] = $resultado->CommandResponse->DomainContactsResult->Tech->FirstName;
	$values["Tech"]["Last Name"] = $resultado->CommandResponse->DomainContactsResult->Tech->LastName;
	$values["Tech"]["Email"] = $resultado->CommandResponse->DomainContactsResult->Tech->EmailAddress;
	$values["Tech"]["Phone Number"] = $resultado->CommandResponse->DomainContactsResult->Tech->Phone;
	$values["Tech"]["Address1"] = $resultado->CommandResponse->DomainContactsResult->Tech->Address1;
	$values["Tech"]["Address2"] = $resultado->CommandResponse->DomainContactsResult->Tech->Address2;
	$values["Tech"]["Postcode"] = $resultado->CommandResponse->DomainContactsResult->Tech->PostalCode;
	$values["Tech"]["City"] = $resultado->CommandResponse->DomainContactsResult->Tech->City;
	$values["Tech"]["State"] = $resultado->CommandResponse->DomainContactsResult->Tech->StateProvince;
	$values["Tech"]["Country"] = $resultado->CommandResponse->DomainContactsResult->Tech->Country;
	return $values;
}

function namecheap_SaveContactDetails($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	# Data is returned as specified in the GetContactDetails() function
	$firstname = urlencode($params ["contactdetails"] ["Registrant"] ["First Name"]);
	$lastname = urlencode($params ["contactdetails"] ["Registrant"] ["Last Name"]);
	$email = urlencode($params ["contactdetails"] ["Registrant"] ["Email"]);
	$phonenumber = urlencode($params ["contactdetails"] ["Registrant"] ["Phone Number"]);
	$address1 = urlencode($params ["contactdetails"] ["Registrant"] ["Address1"]);
	$address2 = urlencode($params ["contactdetails"] ["Registrant"] ["Address2"]);
	$postalcode = urlencode($params ["contactdetails"] ["Registrant"] ["Postcode"]);
	$city = urlencode($params ["contactdetails"] ["Registrant"] ["City"]);
	$state = urlencode($params ["contactdetails"] ["Registrant"] ["State"]);
	$country = urlencode($params ["contactdetails"] ["Registrant"] ["Country"]);
	
	$adminfirstname = urlencode( $params ["contactdetails"] ["Admin"] ["First Name"]);
	$adminlastname = urlencode($params ["contactdetails"] ["Admin"] ["Last Name"]);
	$adminemail = urlencode($params ["contactdetails"] ["Admin"] ["Email"]);
	$adminphonenumber = urlencode($params ["contactdetails"] ["Admin"] ["Phone Number"]);
	$adminaddress1 = urlencode($params ["contactdetails"] ["Admin"] ["Address1"]);
	$adminaddress2 = urlencode($params ["contactdetails"] ["Admin"] ["Address2"]);
	$adminpostalcode = urlencode($params ["contactdetails"] ["Admin"] ["Postcode"]);
	$admincity = urlencode($params ["contactdetails"] ["Admin"] ["City"]);
	$adminstate = urlencode($params ["contactdetails"] ["Admin"] ["State"]);
	$admincountry = urlencode($params ["contactdetails"] ["Admin"] ["Country"]);

	$techfirstname = urlencode($params ["contactdetails"] ["Tech"] ["First Name"]);
	$techlastname = urlencode($params ["contactdetails"] ["Tech"] ["Last Name"]);
	$techemail = urlencode($params ["contactdetails"] ["Tech"] ["Email"]);
	$techphonenumber = urlencode($params ["contactdetails"] ["Tech"] ["Phone Number"]);
	$techaddress1 = urlencode($params ["contactdetails"] ["Tech"] ["Address1"]);
	$techaddress2 = urlencode($params ["contactdetails"] ["Tech"] ["Address2"]);
	$techpostalcode = urlencode($params ["contactdetails"] ["Tech"] ["Postcode"]);
	$techcity = urlencode($params ["contactdetails"] ["Tech"] ["City"]);
	$techstate = urlencode($params ["contactdetails"] ["Tech"] ["State"]);
	$techcountry = urlencode($params ["contactdetails"] ["Tech"] ["Country"]);

	# Put your code to save new WHOIS data here
	# URL a ser passada
	
	$url_Update="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.setContacts&ClientIp=".ObterIp()."&DomainName=".$sld.".".$tld."&RegistrantFirstName=".$firstname."&RegistrantLastName=".$lastname."&RegistrantAddress1=".$address1."&RegistrantAddress2=".$address2."&RegistrantCity=".$city."&RegistrantStateProvince=".$state."&RegistrantPostalCode=".$postalcode."&RegistrantCountry=".$country."&RegistrantPhone=".$phonenumber."&RegistrantEmailAddress=".$email.
"&TechFirstName=".$techfirstname."&TechLastName=".$techlastname."&TechAddress1=".$techaddress1."&TechAddress2=".$techaddress2."&TechCity=".$techcity."&TechStateProvince=".$techstate."&TechPostalCode=".$techpostalcode."&TechCountry=".$techcountry."&TechPhone=".$techphonenumber."&TechEmailAddress=".$techemail."&AdminFirstName=".$adminfirstname."&AdminLastName=".$adminlastname."&AdminAddress1=".$adminaddress1."&AdminAddress2=".$adminaddress2."&AdminCity=".$admincity."&AdminStateProvince=".$adminstate."&AdminPostalCode=".$adminpostalcode."&AdminCountry=".$admincountry."&AdminPhone=".$adminphonenumber."&AdminEmailAddress=".$adminemail."&AuxBillingFirstName=".$firstname."&AuxBillingLastName=".$lastname."&AuxBillingAddress1=".$address1."&AuxBillingAddress2=".$address2."&AuxBillingCity=".$city."&AuxBillingStateProvince=".$state."&AuxBillingPostalCode=".$postalcode."&AuxBillingCountry=".$country."&AuxBillingPhone=".$phonenumber."&AuxBillingEmailAddress=".$email."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_Update);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	if(strlen($values["error"])<=0)
	{
		$values["status"] = "Alteraes salvas com sucesso!";
	}
	return $values;
}


function namecheap_RegisterNameserver($params) {
    $username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
    $nameserver = $params["nameserver"];
    $ipaddress = $params["ipaddress"];
    # Put your code to register the nameserver here
	# URL a ser passada
	$url_CreateNS="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.ns.create&ClientIp=".ObterIp()."&SLD=".$sld."&TLD=".$tld."&Nameserver=".$nameserver."&IP=".$ipaddress."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_CreateNS);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	return $values;
}

function namecheap_ModifyNameserver($params) {
    $username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
    $nameserver = $params["nameserver"];
    $currentipaddress = $params["currentipaddress"];
    $newipaddress = $params["newipaddress"];
    # Put your code to update the nameserver here
	# URL a ser passada
	$url_UpdateNS="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.ns.update&ClientIp=".ObterIp()."&SLD=".$sld."&TLD=".$tld."&Nameserver=".$nameserver."&OldIP=".$currentipaddress."&IP=".$newipaddress."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_UpdateNS);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	return $values;
}

function namecheap_DeleteNameserver($params) {
    $username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
    $nameserver = $params["nameserver"];
    # Put your code to delete the nameserver here
	# URL a ser passada
	$url_DeleteNS="https://api.namecheap.com/xml.response?ApiUser=".$username."&ApiKey=".$password."&UserName=".$username."&Command=namecheap.domains.ns.delete&ClientIp=".ObterIp()."&SLD=".$sld."&TLD=".$tld."&Nameserver=".$nameserver."";
	
	#Envia a URL A API e obtm o resultado em XML
	$resultado = AcessarApi($url_DeleteNS);
	$resultado = new SimpleXMLElement($resultado);
	
	# If error, return the error message in the value below
	$values["error"] = $resultado->Errors->Error;
	return $values;
}

?>
